# Contributing to this project

Thank you for your interest in contributing to FACT! We welcome contributions from everyone and value your input and efforts to improve this project. Below, you will find guidelines and instructions on how to contribute effectively and ensure a smooth collaboration process.

## Ways to Contribute

There are many ways to contribute to our project:

- **Reporting bugs**: File issues for any bugs you encounter.
- **Feature suggestions**: Suggest new features or improvements to existing features.
- **Documentation**: Help improve the project documentation.
- **Code contributions**: Contribute bug fixes or implement new features.

## Submitting Contributions

Please follow these steps to submit your contributions:

1. **Create a branch** for your changes.
2. **Make your changes**: Follow our coding guidelines and write clean, testable Go code.
3. **Write tests**: Add or update tests as necessary for your changes.
4. **Run all tests** to ensure nothing else was accidentally broken.
5. **Submit a pull request**:
   - Push your branch to Gitlab and open a pull request against the main branch.
   - Provide a clear description of the changes and any relevant issue numbers.

## Style Guide and Coding Conventions

- Use clear and descriptive variable names.
- Document all public functions and packages.
- Keep functions focused and well-organized within packages.
- Update changelog accordingly

## Review Process

Our team will review all pull requests as soon as possible. During the review, we may ask for additional changes or clarification. Pull requests must be approved by at least one maintainer before merging.

Contributions that include new features or substantial changes should be discussed in the issue tracker or discussions before starting work.

Thank you again for considering contributing to FACT. We look forward to your contributions and are excited to see what we can achieve together!
